Bug 807661 - (CVE-2012-1596) CVE-2012-1596 wireshark: MP2T dissector memory allocation flaw
CVE-2012-1596 wireshark: MP2T dissector memory allocation flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120211,reported=2...
: Security
Depends On: 808973 808974
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 08:35 EDT by Jan Lieskovsky
Modified: 2014-04-22 17:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-22 17:00:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-28 08:35:58 EDT
A memory allocation flaw was found in the way the MP2T dissector of Wireshark, a network traffic analyzer, processed capture files containig invalid pointer values used for packet length specification. A remote attacker could provide a specially-crafted packet capture file (causing unsigned length value to be reduced by more than its value, resulting into it being a very large value and attempt to allocate large amount of memory when reassembling the packet tvbuff to the requested length), which once opened by a local unsuspecting user would lead to wireshark executable abort.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6833

Relevant upstream patch:
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=41001

CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/03/28/7

Reproducer:
[4] http://www.wireshark.org/download/automated/captures/fuzz-2012-02-10-14752.pcap

Upstream advisory:
[5] http://www.wireshark.org/security/wnpa-sec-2012-07.html
Comment 2 Kurt Seifried 2012-03-28 11:09:59 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/28/13
Comment 4 Huzaifa S. Sidhpurwala 2012-03-30 03:44:35 EDT
This issue affects the version of wireshark as shipped with Fedora 15 and Fedora 16
Comment 5 Huzaifa S. Sidhpurwala 2012-03-30 03:47:07 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 6 Huzaifa S. Sidhpurwala 2012-04-02 00:27:16 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-15 [bug 808974]
Affects: fedora-16 [bug 808973]
Comment 7 Fedora Update System 2012-04-19 01:22:26 EDT
wireshark-1.4.12-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-19 01:23:12 EDT
wireshark-1.6.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.